<?php
/**
 * ACP Language File for Custom 404 Page Extension (French)
 *
 * @package mundophpbb\custom404\language\fr
 * @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
 */

if (!defined('IN_PHPBB')) {
    exit;
}

if (empty($lang) || !is_array($lang)) {
    $lang = [];
}

$lang = array_merge($lang, [
    // Interface du Module ACP
    'ACP_CUSTOM404_RESET'               => 'Réinitialiser le formulaire',
    'ACP_CUSTOM404_RESET_SUCCESS'       => 'Réinitialisé avec succès',
    'ACP_CUSTOM404_CATEGORY'            => 'Erreur 404 personnalisée',
    'ACP_CUSTOM404_SETTINGS'            => 'Paramètres',
    'ACP_CUSTOM404_TITLE'               => 'Page 404 personnalisée',
    'ACP_CUSTOM404_TITLE_LABEL'         => 'Titre de la page 404',
    'ACP_CUSTOM404_MESSAGE_LABEL'       => 'Message de la page 404',
    'ACP_CUSTOM404_IMAGE_ALT_LABEL'     => 'Texte alternatif de l’image',
    'ACP_CUSTOM404_IMAGE_PATH_LABEL'    => 'Image de la page 404',
    'ACP_CUSTOM404_IMAGE_PATH_EXPLAIN'  => 'Sélectionnez une image dans le répertoire de téléchargement de l’extension.',
    'ACP_CUSTOM404_IMAGE_PREVIEW'       => 'Aperçu de l’image',
    'ACP_CUSTOM404_IMAGE_UPLOAD'        => 'Télécharger une nouvelle image',
    'ACP_CUSTOM404_UPLOAD_INFO'         => 'Formats autorisés : %s. Taille maximale : %d Mo.',
    'ACP_CUSTOM404_DEFAULT_IMAGE'       => 'Image par défaut (404_error.png)',
    'ACP_CUSTOM404_CHOOSE_FILE'         => 'Choisir un fichier',
    'ACP_CUSTOM404_NO_FILE_CHOSEN'      => 'Aucun fichier sélectionné',
    'ACP_CUSTOM404_BBCODE_INFO'         => 'Utilisez BBCode comme [b]gras[/b], [i]italique[/i], [url]lien[/url] ou [img]image[/img] pour formater le message.',
    'ACP_CUSTOM404_SAVED'               => 'Paramètres enregistrés avec succès !',
    'ACP_CUSTOM404_IMAGE_UPLOADED'      => 'Image téléchargée avec succès !',
    'ACP_CUSTOM404_INVALID_FILE_TYPE'   => 'Type de fichier invalide. Seuls %s sont autorisés.',
    'ACP_CUSTOM404_DELETE_IMAGE'        => 'Supprimer l’image',
    'ACP_CUSTOM404_DELETE_IMAGE_EXPLAIN' => 'Sélectionnez une image à supprimer du répertoire de téléchargement de l’extension.',
    'ACP_CUSTOM404_DELETE'              => 'Supprimer',
    'ACP_CUSTOM404_DELETE_CONFIRM'      => 'Êtes-vous sûr de vouloir supprimer cette image ?',
    'ACP_CUSTOM404_SELECT_IMAGE'        => 'Sélectionner une image',
    'ACP_CUSTOM404_IMAGE_DELETED'       => 'Image supprimée avec succès !',
    'ACP_CUSTOM404_IMAGE_NOT_FOUND'     => 'Image non trouvée.',
    'ACP_CUSTOM404_INVALID_IMAGE'       => 'Image invalide sélectionnée.',
    'ACP_CUSTOM404_THEME_LABEL'         => 'Thème de la page 404',
    'ACP_CUSTOM404_THEME_LIGHT'         => 'Clair',
    'ACP_CUSTOM404_THEME_DARK'          => 'Sombre',

    // Journalisation des erreurs 404
    'ACP_CUSTOM404_LOGS'                => 'Journaux des erreurs 404',
    'ACP_CUSTOM404_URL'                 => 'URL demandée',
    'ACP_CUSTOM404_IP_ADDRESS'          => 'Adresse IP du client',
    'ACP_CUSTOM404_REQUEST_TIME'        => 'Date/Heure de la demande',
    'ACP_CUSTOM404_REFERRER'            => 'Référent',
    'ACP_CUSTOM404_USER_AGENT'          => 'Agent utilisateur',
    'ACP_CUSTOM404_NO_LOGS'             => 'Aucun journal d’erreur 404 trouvé.',
    'ACP_CUSTOM404_EXPORT_LOGS'         => 'Exporter les journaux en CSV',
    'ACP_CUSTOM404_LOG_LIMIT'           => 'Nombre de journaux à afficher',
    'ACP_CUSTOM404_DELETE_LOGS'         => 'Supprimer tous les journaux',
    'ACP_CUSTOM404_DELETE_LOGS_CONFIRM' => 'Êtes-vous sûr de vouloir supprimer tous les journaux d’erreurs 404 ?',
    'ACP_CUSTOM404_LOGS_DELETED'        => 'Journaux d’erreurs 404 supprimés avec succès !',

    // Aide pour BBCode
    'BBCODE_B_HELP'                     => 'Gras : [b]texte[/b]',
    'BBCODE_I_HELP'                     => 'Italique : [i]texte[/i]',
    'BBCODE_U_HELP'                     => 'Souligné : [u]texte[/u]',
    'BBCODE_URL_HELP'                   => 'Lien : [url=http://exemple.com]texte[/url] ou [url]http://exemple.com[/url]',
    'BBCODE_IMG_HELP'                   => 'Image : [img]http://exemple.com/image.jpg[/img]',
    'BBCODE_QUOTE_HELP'                 => 'Citation : [quote]texte[/quote]',
    'BBCODE_INSTRUCTIONS'               => 'Utilisez BBCode pour formater le message, comme [b]gras[/b], [url]lien[/url] ou [img]image[/img].',

    // Valeurs par défaut de la page 404
    'CUSTOM404_DEFAULT_TITLE'           => '404 - Page non trouvée',
    'CUSTOM404_DEFAULT_MESSAGE'         => 'Oups, la page que vous cherchez n’existe pas !',
    'CUSTOM404_DEFAULT_IMAGE_ALT'       => 'Image d’erreur 404',

    // Validation du formulaire
    'FORM_INVALID'                      => 'Formulaire invalide. Veuillez réessayer.',
    'ACP_CUSTOM404_TITLE_REQUIRED'      => 'Le titre ne peut pas être vide.',
    'ACP_CUSTOM404_MESSAGE_REQUIRED'    => 'Le message ne peut pas être vide.',
    'ACP_CUSTOM404_IMAGE_NOT_FOUND'     => 'Image non trouvée.',

    // Boutons et interface générale
    'ACP_CUSTOM404_UPLOAD_IMAGE'        => 'Télécharger une image',
    'ACP_CUSTOM404_SAVE_CHANGES'        => 'Enregistrer les modifications',
    'L_RETURN_TO_INDEX'                 => 'Retour à l’accueil',
]);