<?php
/**
 * ACP Language File for Custom 404 Page Extension (Italian)
 *
 * @package mundophpbb\custom404\language\it
 * @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
 */

if (!defined('IN_PHPBB')) {
    exit;
}

if (empty($lang) || !is_array($lang)) {
    $lang = [];
}

$lang = array_merge($lang, [
    // Interfaccia del Modulo ACP
    'ACP_CUSTOM404_RESET'               => 'Reimposta Modulo',
    'ACP_CUSTOM404_RESET_SUCCESS'       => 'Reimpostato con successo',
    'ACP_CUSTOM404_CATEGORY'            => 'Errore 404 Personalizzato',
    'ACP_CUSTOM404_SETTINGS'            => 'Impostazioni',
    'ACP_CUSTOM404_TITLE'               => 'Pagina 404 Personalizzata',
    'ACP_CUSTOM404_TITLE_LABEL'         => 'Titolo della Pagina 404',
    'ACP_CUSTOM404_MESSAGE_LABEL'       => 'Messaggio della Pagina 404',
    'ACP_CUSTOM404_IMAGE_ALT_LABEL'     => 'Testo Alternativo dell’Immagine',
    'ACP_CUSTOM404_IMAGE_PATH_LABEL'    => 'Immagine della Pagina 404',
    'ACP_CUSTOM404_IMAGE_PATH_EXPLAIN'  => 'Seleziona un’immagine dalla directory di caricamento dell’estensione.',
    'ACP_CUSTOM404_IMAGE_PREVIEW'       => 'Anteprima dell’Immagine',
    'ACP_CUSTOM404_IMAGE_UPLOAD'        => 'Carica Nuova Immagine',
    'ACP_CUSTOM404_UPLOAD_INFO'         => 'Formati consentiti: %s. Dimensione massima: %d MB.',
    'ACP_CUSTOM404_DEFAULT_IMAGE'       => 'Immagine Predefinita (404_error.png)',
    'ACP_CUSTOM404_CHOOSE_FILE'         => 'Scegli File',
    'ACP_CUSTOM404_NO_FILE_CHOSEN'      => 'Nessun File Selezionato',
    'ACP_CUSTOM404_BBCODE_INFO'         => 'Usa BBCode come [b]grassetto[/b], [i]corsivo[/i], [url]link[/url] o [img]immagine[/img] per formattare il messaggio.',
    'ACP_CUSTOM404_SAVED'               => 'Impostazioni salvate con successo!',
    'ACP_CUSTOM404_IMAGE_UPLOADED'      => 'Immagine caricata con successo!',
    'ACP_CUSTOM404_INVALID_FILE_TYPE'   => 'Tipo di file non valido. Sono consentiti solo %s.',
    'ACP_CUSTOM404_DELETE_IMAGE'        => 'Elimina Immagine',
    'ACP_CUSTOM404_DELETE_IMAGE_EXPLAIN' => 'Seleziona un’immagine da eliminare dalla directory di caricamento dell’estensione.',
    'ACP_CUSTOM404_DELETE'              => 'Elimina',
    'ACP_CUSTOM404_DELETE_CONFIRM'      => 'Sei sicuro di voler eliminare questa immagine?',
    'ACP_CUSTOM404_SELECT_IMAGE'        => 'Seleziona Immagine',
    'ACP_CUSTOM404_IMAGE_DELETED'       => 'Immagine eliminata con successo!',
    'ACP_CUSTOM404_IMAGE_NOT_FOUND'     => 'Immagine non trovata.',
    'ACP_CUSTOM404_INVALID_IMAGE'       => 'Immagine non valida selezionata.',
    'ACP_CUSTOM404_THEME_LABEL'         => 'Tema della Pagina 404',
    'ACP_CUSTOM404_THEME_LIGHT'         => 'Chiaro',
    'ACP_CUSTOM404_THEME_DARK'          => 'Scuro',

    // Registrazione degli Errori 404
    'ACP_CUSTOM404_LOGS'                => 'Log degli Errori 404',
    'ACP_CUSTOM404_URL'                 => 'URL Richiesto',
    'ACP_CUSTOM404_IP_ADDRESS'          => 'IP del Cliente',
    'ACP_CUSTOM404_REQUEST_TIME'        => 'Data/Ora della Richiesta',
    'ACP_CUSTOM404_REFERRER'            => 'Referrer',
    'ACP_CUSTOM404_USER_AGENT'          => 'User Agent',
    'ACP_CUSTOM404_NO_LOGS'             => 'Nessun log di errori 404 trovato.',
    'ACP_CUSTOM404_EXPORT_LOGS'         => 'Esporta Log come CSV',
    'ACP_CUSTOM404_LOG_LIMIT'           => 'Numero di Log da Visualizzare',
    'ACP_CUSTOM404_DELETE_LOGS'         => 'Elimina Tutti i Log',
    'ACP_CUSTOM404_DELETE_LOGS_CONFIRM' => 'Sei sicuro di voler eliminare tutti i log degli errori 404?',
    'ACP_CUSTOM404_LOGS_DELETED'        => 'Log degli errori 404 eliminati con successo!',

    // Aiuto per BBCode
    'BBCODE_B_HELP'                     => 'Grassetto: [b]testo[/b]',
    'BBCODE_I_HELP'                     => 'Corsivo: [i]testo[/i]',
    'BBCODE_U_HELP'                     => 'Sottolineato: [u]testo[/u]',
    'BBCODE_URL_HELP'                   => 'Link: [url=http://esempio.com]testo[/url] o [url]http://esempio.com[/url]',
    'BBCODE_IMG_HELP'                   => 'Immagine: [img]http://esempio.com/immagine.jpg[/img]',
    'BBCODE_QUOTE_HELP'                 => 'Citazione: [quote]testo[/quote]',
    'BBCODE_INSTRUCTIONS'               => 'Usa BBCode per formattare il messaggio, come [b]grassetto[/b], [url]link[/url] o [img]immagine[/img].',

    // Valori Predefiniti della Pagina 404
    'CUSTOM404_DEFAULT_TITLE'           => '404 - Pagina Non Trovata',
    'CUSTOM404_DEFAULT_MESSAGE'         => 'Ops, la pagina che stai cercando non esiste!',
    'CUSTOM404_DEFAULT_IMAGE_ALT'       => 'Immagine di Errore 404',

    // Validazione del Modulo
    'FORM_INVALID'                      => 'Modulo non valido. Per favore, riprova.',
    'ACP_CUSTOM404_TITLE_REQUIRED'      => 'Il titolo non può essere vuoto.',
    'ACP_CUSTOM404_MESSAGE_REQUIRED'    => 'Il messaggio non può essere vuoto.',
    'ACP_CUSTOM404_IMAGE_NOT_FOUND'     => 'Immagine non trovata.',

    // Pulsanti e Interfaccia Generale
    'ACP_CUSTOM404_UPLOAD_IMAGE'        => 'Carica Immagine',
    'ACP_CUSTOM404_SAVE_CHANGES'        => 'Salva Modifiche',
    'L_RETURN_TO_INDEX'                 => 'Torna alla Home',
]);