<?php
/**
 * ACP Language File for Custom 404 Page Extension (Portuguese - Brazil)
 *
 * @package mundophpbb\custom404\language\pt_br
 * @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
 */
if (!defined('IN_PHPBB')) {
    exit;
}

if (empty($lang) || !is_array($lang)) {
    $lang = [];
}

$lang = array_merge($lang, [
    // Interface do Módulo ACP
    'ACP_CUSTOM404_CATEGORY'            => 'Erro 404 Personalizado',
    'ACP_CUSTOM404_SETTINGS'            => 'Configurações',
    'ACP_CUSTOM404_TITLE'               => 'Página 404 Personalizada',
    'ACP_CUSTOM404_TITLE_LABEL'         => 'Título da Página 404',
    'ACP_CUSTOM404_MESSAGE_LABEL'       => 'Mensagem da Página 404',
    'ACP_CUSTOM404_IMAGE_ALT_LABEL'     => 'Texto Alternativo da Imagem',
    'ACP_CUSTOM404_IMAGE_PATH_LABEL'    => 'Imagem da Página 404',
    'ACP_CUSTOM404_IMAGE_PATH_EXPLAIN'  => 'Selecione uma imagem do diretório de uploads da extensão.',
    'ACP_CUSTOM404_IMAGE_PREVIEW'       => 'Pré-visualização da Imagem',
    'ACP_CUSTOM404_IMAGE_UPLOAD'        => 'Carregar Nova Imagem',
    'ACP_CUSTOM404_UPLOAD_INFO'         => 'Formatos permitidos: %s. Tamanho máximo: %d MB.',
    'ACP_CUSTOM404_DEFAULT_IMAGE'       => 'Imagem Padrão (404_error.png)',
    'ACP_CUSTOM404_CHOOSE_FILE'         => 'Escolher Arquivo',
    'ACP_CUSTOM404_NO_FILE_CHOSEN'      => 'Nenhum Arquivo Escolhido',
    'ACP_CUSTOM404_BBCODE_INFO'         => 'Use BBCode como [b]negrito[/b], [i]itálico[/i], [url]link[/url] ou [img]imagem[/img] para formatar a mensagem.',
    'ACP_CUSTOM404_SAVED'               => 'Configurações salvas com sucesso!',
    'ACP_CUSTOM404_IMAGE_UPLOADED'      => 'Imagem carregada com sucesso!',
    'ACP_CUSTOM404_INVALID_FILE_TYPE'   => 'Tipo de arquivo inválido. Apenas %s são permitidos.',
    'ACP_CUSTOM404_DELETE_IMAGE'        => 'Excluir Imagem',
    'ACP_CUSTOM404_DELETE_IMAGE_EXPLAIN' => 'Selecione uma imagem para excluir do diretório de uploads da extensão.',
    'ACP_CUSTOM404_DELETE'              => 'Excluir',
    'ACP_CUSTOM404_DELETE_CONFIRM'      => 'Você tem certeza de que deseja excluir esta imagem?',
    'ACP_CUSTOM404_SELECT_IMAGE'        => 'Selecionar Imagem',
    'ACP_CUSTOM404_IMAGE_DELETED'       => 'Imagem excluída com sucesso!',
    'ACP_CUSTOM404_IMAGE_NOT_FOUND'     => 'Imagem não encontrada.',
    'ACP_CUSTOM404_INVALID_IMAGE'       => 'Imagem inválida selecionada.',
    'ACP_CUSTOM404_THEME_LABEL'         => 'Tema da Página 404',
    'ACP_CUSTOM404_THEME_LIGHT'         => 'Claro',
    'ACP_CUSTOM404_THEME_DARK'          => 'Escuro',

    // Logging de Erros 404
    'ACP_CUSTOM404_LOGS'                => 'Registros de Erros 404',
    'ACP_CUSTOM404_URL'                 => 'URL Solicitada',
    'ACP_CUSTOM404_IP_ADDRESS'          => 'IP do Cliente',
    'ACP_CUSTOM404_REQUEST_TIME'        => 'Data/Hora da Solicitação',
    'ACP_CUSTOM404_REFERRER'            => 'Origem',
    'ACP_CUSTOM404_USER_AGENT'          => 'Agente do Usuário',
    'ACP_CUSTOM404_NO_LOGS'             => 'Nenhum registro de erro 404 encontrado.',
    'ACP_CUSTOM404_EXPORT_LOGS'         => 'Exportar Registros como CSV',
    'ACP_CUSTOM404_LOG_LIMIT'           => 'Número de Registros a Exibir',
    'ACP_CUSTOM404_DELETE_LOGS'         => 'Excluir Todos os Registros',
    'ACP_CUSTOM404_DELETE_LOGS_CONFIRM' => 'Você tem certeza de que deseja excluir todos os registros de erros 404?',
    'ACP_CUSTOM404_LOGS_DELETED'        => 'Registros de erros 404 excluídos com sucesso!',

    // Ajuda para BBCode
    'BBCODE_B_HELP'                     => 'Negrito: [b]texto[/b]',
    'BBCODE_I_HELP'                     => 'Itálico: [i]texto[/i]',
    'BBCODE_U_HELP'                     => 'Sublinhado: [u]texto[/u]',
    'BBCODE_URL_HELP'                   => 'Link: [url=http://exemplo.com]texto[/url] ou [url]http://exemplo.com[/url]',
    'BBCODE_IMG_HELP'                   => 'Imagem: [img]http://exemplo.com/imagem.jpg[/img]',
    'BBCODE_QUOTE_HELP'                 => 'Citação: [quote]texto[/quote]',
    'BBCODE_INSTRUCTIONS'               => 'Use BBCode para formatar a mensagem, como [b]negrito[/b], [url]link[/url] ou [img]imagem[/img].',

    // Valores Padrão da Página 404
    'CUSTOM404_DEFAULT_TITLE'           => '404 - Página Não Encontrada',
    'CUSTOM404_DEFAULT_MESSAGE'         => 'Ops, a página que você está buscando não existe!',
    'CUSTOM404_DEFAULT_IMAGE_ALT'       => 'Imagem de Erro 404',

    // Validação de Formulário
    'FORM_INVALID'                      => 'Formulário inválido. Por favor, tente novamente.',
    'ACP_CUSTOM404_TITLE_REQUIRED'      => 'O título não pode estar vazio.',
    'ACP_CUSTOM404_MESSAGE_REQUIRED'    => 'A mensagem não pode estar vazia.',
    'ACP_CUSTOM404_IMAGE_NOT_FOUND'     => 'Imagem não encontrada.',

    // Botões e Interface Geral
    'ACP_CUSTOM404_UPLOAD_IMAGE'        => 'Enviar Imagem',
    'ACP_CUSTOM404_SAVE_CHANGES'        => 'Salvar Alterações',
    'L_RETURN_TO_INDEX'                 => 'Voltar ao Início',
]);